package handlers

import (
	"git.xdrm.io/go/aicra/api"
	"git.xdrm.io/go/articles-api/pkg/persistence/storage"
)

type App struct {
	Db storage.T
}

type byID struct{ ID uint }

func translateStorageError(err error, fallback api.Error) api.Error {
	switch err {
	case storage.Transaction:
		return api.ErrorTransaction
	case storage.NotCreated:
		return api.ErrorCreation
	case storage.NotFound:
		return api.ErrorNoMatchFound
	case storage.NotUpdated:
		return api.ErrorModification
	case storage.NotDeleted:
		return api.ErrorDeletion
	default:
		return fallback
	}
}
