package storage

// cerr allows you to create constant "const" error with type boxing.
type cerr string

// Error implements the error builtin interface.
func (err cerr) Error() string {
	return string(err)
}

// Transaction - on transaction error
const Transaction = cerr("transaction error")

// NotFound - when not found
const NotFound = cerr("not found")

// NotCreated - when not created
const NotCreated = cerr("not created")

// NotUpdated - when not updated
const NotUpdated = cerr("not updated")

// NotDeleted - when not deleted
const NotDeleted = cerr("not deleted")

// Failure - unknown error
const Failure = cerr("unknown error")
