package storage

import "git.xdrm.io/go/articles-api/pkg/model"

// T defines the storage interface
type T interface {
	// general
	Open() error
	Close() error

	// user
	CreateUser(username, firstname, lastname string) (*model.User, error)
	UpdateUser(id uint, username, firstname, lastname *string) (*model.User, error)
	DeleteUser(id uint) error
	GetUserByID(id uint) (*model.User, error)
	GetAllUsers() ([]model.User, error)

	// article
	CreateArticle(title, body string, author uint) (*model.Article, error)
	UpdateArticle(id uint, title *string, body *string) (*model.Article, error)
	DeleteArticle(id uint) error
	GetArticleByID(id uint) (*model.Article, error)
	GetArticlesByAuthor(id uint) ([]model.Article, error)
	GetAllArticles() ([]model.Article, error)

	// user-article
	UpVote(user uint, article uint) (*model.Vote, error)
	DownVote(user uint, article uint) (*model.Vote, error)
}
